//==============================================================================
//
// Title:       protoTx.h
// Purpose:     The external calls available for the protoTx API
//
// Created on:  1/10/2012 at 8:34:08 PM by Matthew Hanlon.
//
//==============================================================================
#include "ftd2xx.h"
#include "ftdi comms.h"

int DLLEXPORT protoTx_Open(FT_STATUS *status, int *devicesFound, int handles[], int serialNumbers[]);
int DLLEXPORT protoTx_ReadInfo(FT_STATUS *status, FT_HANDLE handle, int *SN, char *fRev, char *hRev, char *calDate, char *IFband);
int DLLEXPORT protoTx_ReadStatus(FT_STATUS *status, FT_HANDLE handle, double Values[]);
int DLLEXPORT protoTx_ReadLD(FT_STATUS *status, FT_HANDLE handle, int *LDstatus);
void DLLEXPORT protoTx_WriteStatus(FT_STATUS *status, FT_HANDLE handle, double Values[]);
void DLLEXPORT protoTx_SaveUserPreset(FT_STATUS *status, FT_HANDLE handle);
void DLLEXPORT protoTx_Preset(FT_STATUS *status, FT_HANDLE handle);
int DLLEXPORT protoTx_Close(FT_HANDLE handle);


